Bug 89972 - Links between two files [hard recalc needed]
Summary: Links between two files [hard recalc needed]
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.1.2 release
Hardware: x86-64 (AMD64) All
: high normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-03-12 20:35 UTC by Juergen Ziegler
Modified: 2016-10-25 19:20 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Datei1 and Datei2 within a ZIP file (27.59 KB, application/zip)
2015-03-12 20:35 UTC, Juergen Ziegler
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen Ziegler 2015-03-12 20:35:47 UTC
Created attachment 114056 [details]
Datei1 and Datei2 within a ZIP file

I use two files, one file on cells of the other file accesses, they are linked.
It is the data from the cells H24 and H25, the Datei1 can be transmitted in the Datei2, in the cell B3 and B4.
Until version has also worked perfectly and unfortunately works from version 4.4.0 no longer with me.

When you open the Datei2 is as usual the question whether the links are updated.
After I confirm this with yes, only the cell B3 is updated in the Datei2 from version 4.4.0, but not the cell B4.
When I go to cell B4 and linking with new berthing = 'file: /// D: /Datei1.ods'#$'Gesellschafter in the Uebersicht'.H25, the value is updated.
I save the Datei2 from new and the next time you open the cell B4 is not updated again.

So if with each contain two cells a shortcut, the bottom cell is not updated.
I add now, however, between the cell B3 and B4, a new cell on and off B4 B5, then this cell is updated again as normal.

I think it is a bug from version 4.4.0 because 4.3.6 below I do not have this problem.

greeting Juergen
Comment 1 raal 2015-03-13 12:22:47 UTC
I can confirm with LO 4.4.1.2, win7

After hard recalc (ctrl+shift+f9) is link working again.
Comment 2 raal 2015-03-17 06:02:59 UTC
reproduced with Version: 4.5.0.0.alpha0+
Build ID: 7f3628e54d4470cac6d51659d1b1bec5fb4f4e70
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-03-14_00:35:32


open both file, update links -  ok. Then save datei2 and change value in datei1, save. close and reopen. "yes" to update links -  no new value in datei2
Comment 3 Matthew Francis 2015-03-17 07:46:42 UTC
To elaborate slightly on the above reproduction instructions:

- Load datei1.ods and datei2.ods together
- Say "yes" to updating links
- Force refresh datei2.ods (ctrl+shift+F9)
- Save and close datei2.ods
- Change the numbers in datei1.ods and save it but don't close
- With datei1.ods still open, reopen datei2.ods and say "yes" to updating links again

Expected result:
- Both linked numbers in datei2.ods are updated

Actual result:
- Only the top cell (B3) is updated
Comment 4 Matthew Francis 2015-03-17 07:50:50 UTC
This appears to have begun at the below commit.

Adding Cc: to michael.meeks@collabora.com; Could you possibly take a look at this? Thanks


commit 4467c67dc8bf17c67c70985c0d0ea64636884f9f
Author: Michael Meeks <michael.meeks@collabora.com>
Date:   Wed May 28 00:06:20 2014 +0100

    ODS load perf: accelerate CompileXML for formula by stringify and compare.
    
    For long columns of repeated formula, it is far faster to convert a formula
    to a string and compare to see if the next cell in a column matches, than
    it is to parse the formula string itself (sad but true).
    
    This saves 29s of 131s of load time for my (admittedly large) ODS file.
    
    Re-instate commit - with pCode now correctly intialized.
    
    Change-Id: Ib25840e7916c3e1c681c8100678770b7ab7222ab
Comment 5 Mike Kaganski 2015-06-03 21:05:44 UTC
A patch is submitted to gerrit: https://gerrit.libreoffice.org/16066
Comment 6 Commit Notification 2015-06-10 20:29:42 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b3566715c181913c8efa8b1bce8941a760748689

tdf#89972: unit test: check proper external ref manager registration

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-06-10 20:29:46 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=17282387d650e843e0f5a28611d91597ccd09970

tdf#89972: also copy external reference status

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-06-11 20:04:22 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bc00e475d45c0e0cf44dc46c67308c152a2b3f70&h=libreoffice-5-0

tdf#89972: also copy external reference status

It will be available in 5.0.0.0.beta4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Robinson Tryon (qubit) 2015-12-17 08:48:17 UTC Comment hidden (obsolete)